Create a webhook
curl --request POST \
--url https://api.tuteliq.ai/api/v1/webhooks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"events": [],
"headers": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>', events: [], headers: {}})
};
fetch('https://api.tuteliq.ai/api/v1/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/webhooks/"
payload = {
"name": "<string>",
"url": "<string>",
"events": [],
"headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"events\": [],\n \"headers\": {}\n}")
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/webhooks/")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"name": "<string>",
"url": "<string>",
"events": [],
"headers": []
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.tuteliq.ai/api/v1/webhooks/")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/webhooks/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"events\": [],\n \"headers\": {}\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"events": [
"<string>"
],
"is_active": true,
"created_at": "<string>"
}Create a webhook
Create a new webhook endpoint for receiving notifications
POST
/
api
/
v1
/
webhooks
/
Create a webhook
curl --request POST \
--url https://api.tuteliq.ai/api/v1/webhooks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"events": [],
"headers": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>', events: [], headers: {}})
};
fetch('https://api.tuteliq.ai/api/v1/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/webhooks/"
payload = {
"name": "<string>",
"url": "<string>",
"events": [],
"headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"events\": [],\n \"headers\": {}\n}")
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/webhooks/")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"name": "<string>",
"url": "<string>",
"events": [],
"headers": []
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.tuteliq.ai/api/v1/webhooks/")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/webhooks/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"events\": [],\n \"headers\": {}\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"events": [
"<string>"
],
"is_active": true,
"created_at": "<string>"
}Authorizations
bearerAuthapiKeyHeader
API key as Bearer token
Body
application/json
Required string length:
1 - 100Pattern:
^https://Required array length:
1 - 5 elementsAvailable options:
incident.critical, incident.high, grooming.detected, self_harm.detected, bullying.severe, verification.completed, minor.detected, csam.detected, csam.critical Show child attributes
Show child attributes
⌘I